import sys
import os

diretorio_atual = os.path.dirname(os.path.abspath(__file__))
diretorio_pai = os.path.dirname(diretorio_atual)
sys.path.append(diretorio_pai)

from siafelibrary import Siafe

import pandas as pd
import automaweb

dictEventos = {
    "UG": "999900", 
    "IEF": "1 - Recursos do Exercício Corrente", 
}

planilha = automaweb.selecionar_arquivo()
dados = pd.read_excel(
    planilha,
    dtype = {
        'evento': str,
        'credor': str,
        'valor': float})

siafe = Siafe()
siafe.abrir_driver()

siafe.logar_siafe(
    versaoSiafe = 2,
    usuario = '',
    senha = ''
)

try: # navega para Documento.
    siafe.clicar('//*[@id="pt1:pt_np4:1:pt_cni6::disclosureAnchor"]')
    siafe.clicar('//*[@id="pt1:pt_np3:2:pt_cni4::disclosureAnchor"]')
    siafe.clicar("//*[text()='Nota de Evento']")
except:
    print("Erro ao navegar para Documento.")
    sys.exit()

siafe.gerar_EV(
    data = '13/03/2026',
    observacao = 'Teste de notas de evento',
    df = dados,
    dicionario = dictEventos
)

siafe.fechar_driver()
